// pages/follow/follow.js
const $api = require('../../utils/api.js').API;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list:[],
    page: 1,
    total: 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.showLoading({
      title: '正在加载',
    })
    this.setData({
      type:options.type,
      id:options.id
    })
    this.getFollow()
    if(options.type == 2){
      wx.setNavigationBarTitle({
        title: '粉丝',
      })
    }
    
  },
  next: function () {
    if (this.data.list.length < this.data.total) {
      const page = this.data.page + 1
      this.setData({
        page: page
      })
      this.getFollow()
    }
  },
  getFollow() {
    var list = this.data.list
    if(this.data.type == 1){
      $api.getMyFollow({
        page: this.data.page, page_size: 20,user_id:this.data.id
      }).then(res => {
        wx.hideLoading()
        res.data.data.list.forEach(item => {
          list.push(item)
        })
        this.setData({
          list: list,
          total: res.data.data.total
        })
      })
    }else{
      $api.getFans({
        page: this.data.page, page_size: 20,user_id:this.data.id
      }).then(res => {
        wx.hideLoading()
        res.data.data.list.forEach(item => {
          list.push(item)
        })
        this.setData({
          list: list,
          total: res.data.data.total
        })
      })
    }
    
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})